GDAL

Public Attributes | List of all members
GDALRasterIOExtraArg Struct Reference

Structure to pass extra arguments to RasterIO() method, must be initialized with INIT_RASTERIO_EXTRA_ARG. More...

`#include <gdal.h>`

## Public Attributes
int | nVersion
GDALRIOResampleAlg | eResampleAlg
GDALProgressFunc | pfnProgress
void * | pProgressData
int | bFloatingPointWindowValidity
double | dfXOff
double | dfYOff
double | dfXSize
double | dfYSize
int | bUseOnlyThisScale

## Detailed Description

Structure to pass extra arguments to RasterIO() method, must be initialized with INIT_RASTERIO_EXTRA_ARG.

## Member Data Documentation

## ◆ bFloatingPointWindowValidity

int GDALRasterIOExtraArg::bFloatingPointWindowValidity

Indicate if dfXOff, dfYOff, dfXSize and dfYSize are set. Mostly reserved from the VRT driver to communicate a more precise source window. Must be such that dfXOff - nXOff < 1.0 and dfYOff - nYOff < 1.0 and nXSize - dfXSize < 1.0 and nYSize - dfYSize < 1.0

## ◆ bUseOnlyThisScale

int GDALRasterIOExtraArg::bUseOnlyThisScale

Indicate if overviews should be considered. Tested in GDALBandGetBestOverviewLevel(), mostly reserved for use by GDALRegenerateOverviewsMultiBand() Only available if RASTERIO_EXTRA_ARG_CURRENT_VERSION >= 2

## ◆ dfXOff

double GDALRasterIOExtraArg::dfXOff

Pixel offset to the top left corner. Only valid if bFloatingPointWindowValidity = TRUE

## ◆ dfXSize

double GDALRasterIOExtraArg::dfXSize

Width in pixels of the area of interest. Only valid if bFloatingPointWindowValidity = TRUE

## ◆ dfYOff

double GDALRasterIOExtraArg::dfYOff

Line offset to the top left corner. Only valid if bFloatingPointWindowValidity = TRUE

## ◆ dfYSize

double GDALRasterIOExtraArg::dfYSize

Height in pixels of the area of interest. Only valid if bFloatingPointWindowValidity = TRUE

## ◆ eResampleAlg

GDALRIOResampleAlg GDALRasterIOExtraArg::eResampleAlg

Resampling algorithm

## ◆ nVersion

int GDALRasterIOExtraArg::nVersion

Version of structure (to allow future extensions of the structure)

## ◆ pfnProgress

GDALProgressFunc GDALRasterIOExtraArg::pfnProgress

Progress callback

## ◆ pProgressData

void* GDALRasterIOExtraArg::pProgressData

Progress callback user data

The documentation for this struct was generated from the following file:

- gdal.h